@charset "UTF-8";

/* ================================================  
 リセットの記述
================================================ */
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html,
p {
    margin: 0 !important;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin: 0;
}

ul[role='list'],
ol[role='list'] {
    list-style: none;
    padding: 0;
    margin: 0;
}

html:focus-within {
    scroll-behavior: smooth;
}

body {
    height: 100vh;
    width: 100vw;
    background: url('../../img/lp2-copy/kairo-bg.webp') no-repeat center center;
    background-size: cover;
    position: relative;
}

main {
    position: relative;
}

.bl_mainContent {
    position: relative;
    width: 100%;
    max-width: 500px;
    top: 0;
    margin: 0 auto;
    line-height: 0;
    overflow: scroll;
    scroll-behavior: smooth;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

main::-webkit-scrollbar {
    display: none;
}

aside {
    height: 100%;
    gap: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    display: none;
    width: 400px;
}

aside .el_ctaBtns {
    display: flex;
    flex-direction: column;
    gap: 40px;
    max-width: 400px;
    margin-inline: auto;
}

.bl_LinkSidebar__links {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.bl_LinkSidebar__links a:first-child {
    margin-bottom: 20px;
}

.bl_LinkSidebar__links a {
    font-weight: 500;
    letter-spacing: 0.05em;
    font-size: 18px;
    color: #fff;
}

.bl_LinkSidebar__links a:hover {
    text-decoration: underline;
    color: #fff;
}

.el_contentImg {
    width: 100.5%;
    height: auto;
    max-width: 100.5%;
}

.ly_cta {
    position: relative;
    z-index: 1;
}

.ly_cta .el_ctaBtns {
    position: absolute;
    width: 84%;
    bottom: min(12vw, 80px);
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-items: center;
    gap: 14px;
}

.ly_cta .el_ctaBtns a {
    display: block;
    width: 100%;
}

.ly_cta .el_ctaBtns a img {
    width: 100%;
}

.ly_video {
    padding-block: 74px 32px;
    margin-top: -62px;
    background: linear-gradient(180deg, #404142 0%, #323232 100%);
}

.el_video {
    margin-top: 24px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    justify-content: center;
}

.el_video video {
    width: 60%;
}

.review__wrapper {
    position: relative;
    max-height: 1360px;
    overflow: hidden;
}

.review__wrapper.open {
    max-height: none;
}

.review__fade {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 250px;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
    pointer-events: none;
}

.review__toggle {
    position: absolute;
    bottom: 20px;
    width: 100px;
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - 30px);
    padding: 16px;
    font-size: 14px;
    letter-spacing: 0.01em;
    background: #fff;
    color: #323232;
    font-weight: bold;
    border: 1px solid #323232;
    cursor: pointer;
}

.review__toggle svg {
    position: absolute;
    right: 16px;
    top: 50%;
    transform: translateY(-50%);
}

.review__wrapper.open .review__fade,
.review__wrapper.open .review__toggle {
    display: none;
}

#greeting {
    background-color: #2a2e31;
}

#flow {
    margin-top: min(-1.9vw, -20px);
}

#qa {
    margin-top: min(-3vw, -20px);
}

#access {
    position: relative;
    height: auto;
}

#access iframe {
    margin-top: 30%;
    aspect-ratio: 345 / 380;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 92%;
    margin-inline: auto;
}

.ly_footer {
    padding: 40px;
    margin-bottom: 60px;
}

.ly_footer p {
    color: #323232;
    font-weight: 500;
    text-align: center;
}

.bl_floating {
    display: none;
    gap: 8px;
    align-items: center;
    justify-content: center;
    padding: 8px 12px;
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #323232e5;
    max-width: 500px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
}

.bl_floating.show {
    display: flex !important;
}

@media screen and (min-width: 1024px) {
    .bl_leftSide {
        position: fixed;
        display: flex;
        top: 0;
        height: 100vh;
        left: 0;
        width: calc((100% - 500px) / 2);
    }

    .bl_rightSide {
        position: fixed;
        display: flex;
        top: 0;
        height: 100vh;
        right: 0;
        width: calc((100% - 500px) / 2);
        align-items: center;
        justify-content: center;
    }

    .bl_floating {
        display: none !important;
    }

    .bl_floating.show {
        display: none !important;
    }

    .ly_footer {
        margin-bottom: 0;
    }
}

@media screen and (min-width: 1440px) {
    .bl_mainContent {
        max-width: 500px;
    }

    .bl_leftSide,
    .bl_rightSide {
        width: calc((100% - 500px) / 2);
    }

    .review__wrapper {
        max-height: 1800px;
    }
}

@media screen and (min-width: 1800px) {
    .bl_mainContent {
        /* max-width: 750px; */
    }

    .bl_leftSide,
    .bl_rightSide {
        /* width: calc((100% - 750px) / 2); */
    }

    .review__wrapper {
        max-height: 2640px;
    }
}